Package org.silverpeas.components.websites.model

# Class SiteDetail

java.lang.Object
org.silverpeas.core.i18n.AbstractI18NBean<org.silverpeas.core.contribution.publication.model.PublicationI18N>
org.silverpeas.core.contribution.publication.model.PublicationDetail
org.silverpeas.components.websites.model.SiteDetail

All Implemented Interfaces:
  `Serializable`, `org.silverpeas.core.contribution.ContributionWithVisibility`, `org.silverpeas.core.contribution.model.Contribution`, `org.silverpeas.core.contribution.model.I18nContribution`, `org.silverpeas.core.contribution.model.SilverpeasContent`, `org.silverpeas.core.contribution.model.WithAttachment`, `org.silverpeas.core.contribution.model.WithPermanentLink`, `org.silverpeas.core.contribution.model.WithThumbnail`, `org.silverpeas.core.contribution.model.WithURL`, `org.silverpeas.core.contribution.rating.model.Rateable`, `org.silverpeas.core.i18n.I18NBean<org.silverpeas.core.contribution.publication.model.PublicationI18N>`, `org.silverpeas.core.i18n.LocalizedResource`, `org.silverpeas.core.i18n.Translatable`, `org.silverpeas.core.Identifiable`, `org.silverpeas.core.Instance<org.silverpeas.core.contribution.model.Contribution>`, `org.silverpeas.core.Nameable`, `org.silverpeas.core.reminder.WithReminder`, `org.silverpeas.core.security.Securable`, `org.silverpeas.core.SilverpeasResource`

public class SiteDetail extends org.silverpeas.core.contribution.publication.model.PublicationDetail

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.silverpeas.core.contribution.publication.model.PublicationDetail

  `org.silverpeas.core.contribution.publication.model.PublicationDetail.Builder`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `SITE_TYPE`

  ### Fields inherited from class org.silverpeas.core.contribution.publication.model.PublicationDetail

  `CLONE_STATUS, DELAYED_VISIBILITY_AT_MODEL_PROPERTY, DRAFT_STATUS, REFUSED_STATUS, TO_VALIDATE_STATUS, TYPE, VALID_STATUS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SiteDetail(String siteId, String applicationId, String name, String description, String page, int type, String creatorId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `String`
  `getContributionType()`
  `String`
  `getId()`
  `String`
  `getInstanceId()`
  `int`
  `getPopup()`
  `String`
  `getPositions()`
  `String`
  `getSilverpeasContentId()`
  `SitePK`
  `getSitePK()`
  `int`
  `getSiteType()`
  `int`
  `getState()`
  `String`
  `getURL()`
  `int`
  `hashCode()`
  `void`
  `setPopup(int popup)`
  `void`
  `setPositions(String positions)`
  `void`
  `setSitePK(SitePK val)`
  `void`
  `setSiteType(int val)`
  `void`
  `setState(int val)`
  `String`
  `toString()`
  toString

  ### Methods inherited from class org.silverpeas.core.contribution.publication.model.PublicationDetail

  `builder, builder, canBeAccessedBy, canBeFiledInBy, canBeModifiedBy, copy, getAuthor, getBeginDate, getBeginDateAndHour, getBeginHour, getCloneId, getClonePK, getCloneStatus, getComponentInstanceId, getContent, getContentPagePath, getContributionStatus, getCreationDate, getCreator, getCreatorId, getCreatorName, getEndDate, getEndDateAndHour, getEndHour, getExplicitRank, getFieldValue, getFormValues, getIdentifier, getImage, getImageMimeType, getImportance, getIndexOperation, getInfoId, getKeywords, getKeywords, getLastUpdateDate, getLastUpdater, getModel, getMostRecentUpdater, getNbAccess, getPermalink, getPK, getRating, getRemovalDate, getRemoverId, getResourcePath, getResourceType, getSilverObjectId, getStatus, getTargetValidatorId, getTargetValidatorIds, getThumbnail, getTitle, getTranslationType, getUpdaterId, getValidateDate, getValidatorId, getVersion, getVisibility, getXmlFields, getXmlFields, haveGotClone, isAlias, isClone, isDraft, isIndexable, isNew, isNoMoreVisible, isNotYetVisible, isPublicationEditor, isRefused, isRemoved, isSharingAllowedForRolesFrom, isStatusMustBeChecked, isUpdateDataMustBeSet, isValid, isValidationRequired, isVisible, setAlias, setAuthor, setAuthorizedLocation, setBeginDate, setBeginHour, setCloneId, setCloneStatus, setContentPagePath, setCreationDate, setCreatorId, setCreatorName, setEndDate, setEndHour, setExplicitRank, setImportance, setIndexOperation, setInfoId, setKeywords, setNbAccess, setPk, setRemovalStatus, setSilverObjectId, setSilverObjectId, setStatus, setStatusMustBeChecked, setTargetValidatorId, setThumbnail, setUpdateDataMustBeSet, setUpdateDate, setUpdaterId, setValidateDate, setValidatorId, setVersion, setVisibilityPeriod`

  ### Methods inherited from class org.silverpeas.core.i18n.AbstractI18NBean

  `addTranslation, getClonedTranslations, getDescription, getDescription, getLanguage, getLanguages, getLanguageToDisplay, getName, getName, getNextTranslation, getTranslation, getTranslationId, getTranslations, isRemoveTranslation, setDescription, setLanguage, setName, setRemoveTranslation, setTranslationId, setTranslations, setTranslations`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.silverpeas.core.contribution.model.Contribution

  `getDescription, getName`

  ### Methods inherited from interface org.silverpeas.core.contribution.model.I18nContribution

  `getLocalizationIn`

  ### Methods inherited from interface org.silverpeas.core.Instance

  `getParent`

  ### Methods inherited from interface org.silverpeas.core.i18n.LocalizedResource

  `getTranslation`

  ### Methods inherited from interface org.silverpeas.core.security.Securable

  `canBeDeletedBy`

- ## Field Details

  - ### SITE_TYPE

    public static final String SITE_TYPE
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SiteDetail

    public SiteDetail(String siteId, String applicationId, String name, String description, String page, int type, String creatorId)

- ## Method Details

  - ### getSitePK

    public SitePK getSitePK()

  - ### setSitePK

    public void setSitePK(SitePK val)

  - ### getSiteType

    public int getSiteType()

  - ### setSiteType

    public void setSiteType(int val)

  - ### getState

    public int getState()

  - ### setState

    public void setState(int val)

  - ### getURL

    public String getURL()
    Specified by:
      `getURL` in interface `org.silverpeas.core.contribution.model.WithURL`
    Overrides:
      `getURL` in class `org.silverpeas.core.contribution.publication.model.PublicationDetail`

  - ### getId

    public String getId()
    Specified by:
      `getId` in interface `org.silverpeas.core.Identifiable`
    Specified by:
      `getId` in interface `org.silverpeas.core.contribution.model.SilverpeasContent`
    Overrides:
      `getId` in class `org.silverpeas.core.contribution.publication.model.PublicationDetail`

  - ### getInstanceId

    public String getInstanceId()
    Overrides:
      `getInstanceId` in class `org.silverpeas.core.contribution.publication.model.PublicationDetail`

  - ### getPositions

    public String getPositions()
    Returns:
      the positions

  - ### setPositions

    public void setPositions(String positions)
    Parameters:
      `positions` - the positions to set

  - ### toString

    public String toString()
    toString
    Overrides:
      `toString` in class `org.silverpeas.core.contribution.publication.model.PublicationDetail`

  - ### getPopup

    public int getPopup()

  - ### setPopup

    public void setPopup(int popup)

  - ### getContributionType

    public String getContributionType()
    Specified by:
      `getContributionType` in interface `org.silverpeas.core.contribution.model.Contribution`
    Overrides:
      `getContributionType` in class `org.silverpeas.core.contribution.publication.model.PublicationDetail`

  - ### getSilverpeasContentId

    public String getSilverpeasContentId()
    Specified by:
      `getSilverpeasContentId` in interface `org.silverpeas.core.contribution.model.SilverpeasContent`
    Overrides:
      `getSilverpeasContentId` in class `org.silverpeas.core.contribution.publication.model.PublicationDetail`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `org.silverpeas.core.contribution.publication.model.PublicationDetail`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `org.silverpeas.core.contribution.publication.model.PublicationDetail`